org.apache.uima.cas.impl

## Class XmiSerializationSharedData.OotsElementData

- java.lang.Object
- - org.apache.uima.cas.impl.XmiSerializationSharedData.OotsElementData

- Enclosing class:
    XmiSerializationSharedData

      public static class XmiSerializationSharedData.OotsElementData
      extends Object

  Data structure holding all information about an XMI element containing an out-of-typesystem FS.

  Also used to hold information for deferring deserialization of subtypes of AnnotationBase when the sofa is not yet known

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<org.apache.uima.internal.util.XmlAttribute>` | `attributes` List of XmlAttribute objects each holding name and value of an attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OotsElementData(String xmiId, org.apache.uima.internal.util.XmlElementName elementName)`
    `OotsElementData(String xmiId, org.apache.uima.internal.util.XmlElementName elementName, int lineNumber, int colNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attributes` | `getAttributes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributes

          public final List<org.apache.uima.internal.util.XmlAttribute> attributes

      List of XmlAttribute objects each holding name and value of an attribute.

  - ### Constructor Detail

    - #### OotsElementData

          public OotsElementData(String xmiId,
                                 org.apache.uima.internal.util.XmlElementName elementName)

    - #### OotsElementData

          public OotsElementData(String xmiId,
                                 org.apache.uima.internal.util.XmlElementName elementName,
                                 int lineNumber,
                                 int colNumber)

  - ### Method Detail

    - #### getAttributes

          public Attributes getAttributes()

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.